# $Revision: 1.12 $, $Date: 2002/05/08 16:50:32 $
Summary:	RPC2 library
Summary(pl):	Biblioteka RPC2
Summary(pt_BR):	Biblioteca RPC2
Name:		rpc2
Version:	1.12
Release:	2
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.coda.cs.cmu.edu/pub/rpc2/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-LIBTOOL_LDFLAGS.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	lwp-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	librpc21

%description
The RPC2 library. RPC2 Library, used with the coda file system.

%description -l pl
Biblioteka RPC2.

%description -l pt_BR
Biblioteca RPC2. Utilizada pelo sistema de arquivos distribudo Coda.

%package devel
Summary:	RPC2 library development files
Summary(pl):	Pliki dla programistw uywajcych biblioteki RPC2
Summary(pt_BR):	Arquivos de incluso e bibliotecas para desenvolvimento com a RPC2
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	librpc21-devel

%description devel
Headers for developing programs using the RPC2 library.

%description devel -l pl
Pliki nagwkowe do tworzenia programw z uyciem RPC2.

%description devel -l pt_BR
Biblioteca RPC2. Utilizada pelo sistema de arquivos distribudo Coda.

%package static
Summary:	RPC2 static library development files
Summary(pl):	Biblioteka statyczna RPC2
Summary(pt_BR):	Biblioteca esttica para desenvolvimento com a RPC2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for developing programs using the RPC2 library.

%description static -l pl
Statyczne biblioteki RPC2.

%description static -l pt_BR
Biblioteca RPC2. Utilizada pelo sistema de arquivos distribudo Coda.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
libtoolize --copy --force
autoheader
aclocal
automake -a -c -f
autoconf
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

gzip -9nf NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS.gz
%attr(755,root,root) %{_bindir}/filcon
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rp2gen
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/rpc2

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rpc2.spec,v $
Revision 1.12  2002/05/08 16:50:32  kloczek
- added librpc21{,-devel} to Obsoletes for allow upgrade from MDK,
- merge translations from Conectiva,
- remove OPTFLAGS="%%{rpmcflags}" from make parameters,
- fised License: LGPL,
- s/--copy --add-missing/-a -c -f/ in automake parameters.

Revision 1.11  2002/05/08 15:50:22  undefine
- patch to allow compile. STBR

Revision 1.10  2002/02/22 23:29:41  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/12 16:09:48  qboosh
- changed base group to Libraries, adapterized, pl translations; release 2

Revision 1.7  2001/08/06 16:40:34  kloczek
- "rm -f missing" on top %build.

Revision 1.6  2001/08/06 11:07:06  kloczek
- added --copy --force for libtioolize,
- added autoconf, automake, libtool to BuildRequires.

Revision 1.5  2001/08/06 10:10:43  waszi
- updated to 1.12

Revision 1.4  2001/05/02 16:29:12  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2000/11/15 21:15:25  agaran
Moved to cvs version of rpc2, not tested(yet)

Revision 1.2  2000/11/12 04:21:15  kloczek
- updated to 1.8,
- simplifications in %files,
- spec adapterized,
- added flex to Buildrequires.

Revision 1.1  2000/10/05 08:40:12  pascalek
- initial revision
